Bug 197523 - mysqlhotcopy DBI error in mysql-server-5.0.22-1.FC5.1
mysqlhotcopy DBI error in mysql-server-5.0.22-1.FC5.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-DBD-MySQL (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 12:18 EDT by Charles Gillet
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0007-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 11:48:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Gillet 2006-07-03 12:18:03 EDT
Description of problem:

mysqlhotcopy reports operational error and exit with error code 1.  It appears
to successfully copy the databases though.


Version-Release number of selected component (if applicable):
mysql-server-5.0.22-1.FC5.1  (why is there no separate mysql-server component?
clerical error?)


How reproducible: every time


Steps to Reproduce:
1. invoke mysqlhotcopy to copy a database

  
Actual results:
mysqlhotcopy returns
DBI::db=HASH(0x8e1394c)->disconnect invalidates 1 active statement handle
(either destroy statement handles or call finish on them before disconnecting)
at /usr/bin/mysqlhotcopy line 537.

and exits with error code 1


Expected results:  No errors


Additional info:

example script:
#!/bin/bash
out=`mysqlhotcopy --regexp=\\\w+ --allowold $db /var/lib/mysqbackup`
if [ $? != 0 ]; then
        echo $out
fi
Comment 1 Tom Lane 2006-11-22 18:26:55 EST
According to the upstream discussion this is a DBD::mysql bug:
http://bugs.mysql.com/bug.php?id=20153
Reassigning accordingly.
Comment 2 Robin Norwood 2006-11-27 13:49:19 EST
This appears to be fixed by perl-DBD-MySQL-3.0007.  I've build this version as
an update to FC-5.  It should appear in updates-testing soon.    Please let me
know if this version fixes your issues.
Comment 3 Charles Gillet 2006-11-27 13:56:19 EST
I have upgraded to FC6 which apparently has the updated version, and the errors
have indeed gone away.  Feel free to close this one as you see fit.

Thanks.
Comment 4 Robin Norwood 2006-11-27 14:41:12 EST
Yeah, FC6 includes perl-DBD-3.0007.  I'll leave this bug open and continue with
pushing the update to FC5 in case other users run into it.

Thanks,
Comment 5 Fedora Update System 2006-11-27 17:15:44 EST
perl-DBD-MySQL-3.0007-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 6 Fedora Update System 2006-12-11 11:41:39 EST
perl-DBD-MySQL-3.0007-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.